import 'reflect-metadata';
import { Connection, createConnection } from 'typeorm';

export const enum Databases {
  LIBRARY = 'library',
}

const connections: {
  [key in Databases]?: Connection;
} = {};

export function getConnection(database: Databases): Promise<Connection> {
  if (connections[database] === undefined) {
    return createConnection(database).then((connection: Connection) => {
      connections[database] = connection;
      return connection;
    });
  } else {
    return Promise.resolve(connections[database]);
  }
}
